---
title: Create Individual and Verify
slug: poc-onboarding/create-individual-and-verify
createdAt: 2025-06-23T05:38:42.429Z
---

{
  "id": "qqA5qGM1bx3TNTeM76Py3",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/CreateVerifyInd",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/CreateVerifyInd"
      }
    ],
    "name": "Create Individual and Verify",
    "description": "<p>Use this endpoint to verify a UBO individual. Note: additional information such as DOB and ID number will need to be collected for each UBO beyond what is returned in the Retrieve UBOs endpoint.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "Create_Individual_and_Verify",
          "schema": [
            {
              "name": "email",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "example@monoova.com"
            },
            {
              "name": "phone",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "400000000"
            },
            {
              "name": "firstName",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "ANNETTE"
            },
            {
              "name": "middleName",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "JOY"
            },
            {
              "name": "lastName",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "KRUGER"
            },
            {
              "name": "dob",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "1985-10-27"
            },
            {
              "name": "idNumber",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "1234567A"
            },
            {
              "name": "sourceCountry",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "AUS"
            },
            {
              "name": "street",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "123 EXAMPLE LANE"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "BRISBANE"
            },
            {
              "name": "stateTerritory",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "QUEENSLAND"
            },
            {
              "name": "postCode",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "4610"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "example": "",
              "default": "AUS"
            }
          ],
          "modelRef": "#/components/schemas/Create_Individual_and_Verify",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Create_Individual_and_Verify_-_Response",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "example": "",
                "default": "success"
              },
              {
                "name": "response",
                "kind": "optional",
                "type": "object",
                "example": "",
                "schema": [
                  {
                    "name": "applicantId",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "flow",
                    "kind": "optional",
                    "type": "string",
                    "example": "",
                    "default": "complex_entity"
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "example": "",
                    "default": "Pending"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Create_Individual_and_Verify_-_Response",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/CreateVerifyInd \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data-raw '{\n     \"email\": \"example@monoova.com\",\n     \"phone\": \"400000000\",\n     \"firstName\": \"ANNETTE\",\n     \"middleName\": \"JOY\",\n     \"lastName\": \"KRUGER\",\n     \"dob\": \"1985-10-27\",\n     \"idNumber\": \"1234567A\",\n     \"sourceCountry\": \"AUS\",\n     \"street\": \"123 EXAMPLE LANE\",\n     \"city\": \"BRISBANE\",\n     \"stateTerritory\": \"QUEENSLAND\",\n     \"postCode\": \"4610\",\n     \"country\": \"AUS\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"email\": \"example@monoova.com\",\n   \"phone\": \"400000000\",\n   \"firstName\": \"ANNETTE\",\n   \"middleName\": \"JOY\",\n   \"lastName\": \"KRUGER\",\n   \"dob\": \"1985-10-27\",\n   \"idNumber\": \"1234567A\",\n   \"sourceCountry\": \"AUS\",\n   \"street\": \"123 EXAMPLE LANE\",\n   \"city\": \"BRISBANE\",\n   \"stateTerritory\": \"QUEENSLAND\",\n   \"postCode\": \"4610\",\n   \"country\": \"AUS\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/CreateVerifyInd\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/CreateVerifyInd\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"email\": \"example@monoova.com\",\n   \"phone\": \"400000000\",\n   \"firstName\": \"ANNETTE\",\n   \"middleName\": \"JOY\",\n   \"lastName\": \"KRUGER\",\n   \"dob\": \"1985-10-27\",\n   \"idNumber\": \"1234567A\",\n   \"sourceCountry\": \"AUS\",\n   \"street\": \"123 EXAMPLE LANE\",\n   \"city\": \"BRISBANE\",\n   \"stateTerritory\": \"QUEENSLAND\",\n   \"postCode\": \"4610\",\n   \"country\": \"AUS\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/CreateVerifyInd\"\n\npayload = json.dumps({\n   \"email\": \"example@monoova.com\",\n   \"phone\": \"400000000\",\n   \"firstName\": \"ANNETTE\",\n   \"middleName\": \"JOY\",\n   \"lastName\": \"KRUGER\",\n   \"dob\": \"1985-10-27\",\n   \"idNumber\": \"1234567A\",\n   \"sourceCountry\": \"AUS\",\n   \"street\": \"123 EXAMPLE LANE\",\n   \"city\": \"BRISBANE\",\n   \"stateTerritory\": \"QUEENSLAND\",\n   \"postCode\": \"4610\",\n   \"country\": \"AUS\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"status\": \"\",\n  \"response\": {\n    \"applicantId\": \"\",\n    \"flow\": \"\",\n    \"status\": \"\"\n  }\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "WkKCHBkM9AA51vuGqLF4E",
      "type": "paragraph",
      "children": [
        {
          "text": "Use this endpoint to verify a UBO individual. Note: additional information such as DOB and ID number will need to be collected for each UBO beyond what is returned in the Retrieve UBOs endpoint."
        }
      ]
    }
  ]
}